Package edu.wisc.game.sql

## Class RandomImageGameGenerator

- java.lang.Object
- - edu.wisc.game.sql.GameGenerator
  - - edu.wisc.game.sql.RandomImageGameGenerator

-     public class RandomImageGameGenerator
      extends GameGenerator

  This class generates random games (with the same rule set and randomly created initial boards) using image-and-property based game pieces based on the provided parameter range specifications

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class edu.wisc.game.sql.GameGenerator

      `GameGenerator.Features`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RandomImageGameGenerator​(RandomRG _random, File ruleSetFile, int[] _nPiecesRange, ImageObject.Generator _imageGenerator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Game` | `nextGame()` | Generates a game with a random initial board, in accordance with this generator's parameters

    - ### Methods inherited from class edu.wisc.game.sql.GameGenerator

      `advance, extraToString, getAllFeatures, getRules, getTesting, mkGameGenerator, setConditions, setConditionsFromHT, setConditionsFromParaSet, setTesting`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomImageGameGenerator

          public RandomImageGameGenerator​(RandomRG _random,
                                          File ruleSetFile,
                                          int[] _nPiecesRange,
                                          ImageObject.Generator _imageGenerator)
                                   throws IOException,
                                          RuleParseException

      Throws:
        `IOException`
        `RuleParseException`

  - ### Method Detail

    - #### nextGame

          public Game nextGame()

      Generates a game with a random initial board, in accordance with this generator's parameters
      Specified by:
        `nextGame` in class `GameGenerator`